Open SCAP Library

Data Structures | Macros | Typedefs | Functions
oval_varModel.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <string.h>`
`#include <time.h>`
`#include "oval_definitions_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_parser_impl.h"`
`#include "adt/oval_string_map_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/_error.h"`
`#include "common/elements.h"`
`#include "oscap_source.h"`
`#include "source/oscap_source_priv.h"`

## Data Structures
struct | _oval_variable_model_frame
struct | oval_variable_model
| The OVAL variable model facilitates access to external variable value bindings used to to constrain the evaluation of OVAL objects. More...

## Macros
#define | NAMESPACE_VARIABLES "http://oval.mitre.org/XMLSchema/oval-variables-5"

## Typedefs
typedef struct _oval_variable_model_frame | _oval_variable_model_frame_t
typedef struct oval_variable_model | oval_variable_model_t

## Functions
bool | oval_variable_model_iterator_has_more (struct oval_variable_model_iterator *itr)
struct oval_variable_model * | oval_variable_model_iterator_next (struct oval_variable_model_iterator *itr)
void | oval_variable_model_iterator_free (struct oval_variable_model_iterator *itr)
struct oval_variable_model * | oval_variable_model_new ()
struct oval_variable_model * | oval_variable_model_clone (struct oval_variable_model *old_model)
void | oval_variable_model_free (struct oval_variable_model *model)
struct oval_generator * | oval_variable_model_get_generator (struct oval_variable_model *model)
void | oval_variable_model_set_generator (struct oval_variable_model *model, struct oval_generator *generator)
void | oval_variable_model_add (struct oval_variable_model *model, char *varid, const char *comm, oval_datatype_t datatype, char *value)
struct oval_variable_model * | oval_variable_model_import_source (struct oscap_source *source)
struct oval_variable_model * | oval_variable_model_import (const char *file)
int | oval_variable_model_export (struct oval_variable_model *model, const char *file)
bool | oval_variable_model_has_variable (struct oval_variable_model *model, const char *id)
struct oval_string_iterator * | oval_variable_model_get_variable_ids (struct oval_variable_model *model)
oval_datatype_t | oval_variable_model_get_datatype (struct oval_variable_model *model, char *varid)
const char * | oval_variable_model_get_comment (struct oval_variable_model *model, char *varid)
struct oval_value_iterator * | oval_variable_model_get_values (struct oval_variable_model *model, char *varid)
struct oval_collection * | oval_variable_model_get_values_ref (struct oval_variable_model *model, char *varid)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/